{##########################################}
{#### lichtline GmbH ######################}
{#### it@lichtline.com ####################}
{##########################################}

{##########################################}
{#### CSS Code ############################}
{##########################################}

div.image_carousell_wrapper {
    display: flex;
}

div.image_carousell_swiper-wrapper {
    cursor: pointer;
}

div.image_carousell_swiper {
    display: flex;
    justify-content: center;
    margin: unset;
}

div.image_carousell_slide {
    display: flex;
    justify-content: center;
    /* z-index: 0; */
}

img.image_carousell_image {
    max-width: 100%; 
    object-fit: contain;
}

div.image_carousell_maximize_icon {
    position: absolute;
    z-index: 200;
    pointer-events: none;
    top: 5px;
    right: 5px;
    color: white;
}

div.image_carousell_tags {
    display: flex;
    position: absolute;
    top: 5px;
    left: 5px;
    z-index: 200;    
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
    align-content: center;
}

a.image_carousell_tag {
    background: none;
    margin: 5px;
    padding: 5px;
    text-align: left;
}

a.image_carousell_tag:hover,
a.image_carousell_tag:focus{
    background: none;
    margin: 5px;
    padding: 5px;
    text-align: left;
}

div.image_carousell_pagination_wrapper {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 20px;
    z-index: 200;
}

div.image_carousell_pagination {
    z-index: 200;
}

span.image_carousell_pagination_bulletpoint {
    width: 35px;
    height: 5px;
    background-color: white;
    opacity: unset;
}

span.swiper-pagination-bullet-active{
    background-color: black;
}

div.swiper-wrapper-modal {
    height: 80vh;
}

img.image_carousell_modal-image {
    max-width: 100%;
    max-height: 100%;
    display: block;
    margin: auto;
}

div.image_carousell_modal_slide {
    display: flex;
    justify-content: center;
    width: 100%;
}